org.apache.ignite.internal.processors.igfs

## Class IgfsJobImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsJobImpl

All Implemented Interfaces:
  Serializable, ComputeJob, GridInternalWrapper<IgfsJob>

    public class IgfsJobImpl
    extends Object
    implements ComputeJob, GridInternalWrapper<IgfsJob>

IGFS job implementation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsJobImpl(IgfsJob job, String igfsName, IgfsPath path, long start, long len, IgfsRecordResolver rslvr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()` This method is called when system detects that completion of this job can no longer alter the overall outcome (for example, when parent task has already reduced the results).
`Object` `execute()` Executes this job.
`IgfsJob` `userObject()` Get user object where resources must be injected.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsJobImpl

    public IgfsJobImpl(IgfsJob job,
                       String igfsName,
                       IgfsPath path,
                       long start,
                       long len,
                       IgfsRecordResolver rslvr)

Parameters:
  `job` - IGFS job.
  `igfsName` - IGFS name.
  `path` - Split path.
  `start` - Split start offset.
  `len` - Split length.
  `rslvr` - IGFS split resolver.

### Method Detail

#### execute

    public Object execute()

Executes this job.

Specified by:
  `execute` in interface `ComputeJob`
Returns:
  Job execution result (possibly `null`). This result will be returned in `ComputeJobResult.getData()` method passed into `ComputeTask.result(ComputeJobResult, List)` task method on caller node.

#### cancel

    public void cancel()

This method is called when system detects that completion of this job can no longer alter the overall outcome (for example, when parent task has already reduced the results). Job is also cancelled when `IgniteFuture.cancel()` is called.

Note that job cancellation is only a hint, and just like with `Thread.interrupt()` method, it is really up to the actual job instance to gracefully finish execution and exit.

Specified by:
  `cancel` in interface `ComputeJob`

#### userObject

    public IgfsJob userObject()

Get user object where resources must be injected.

Specified by:
  `userObject` in interface `GridInternalWrapper<IgfsJob>`
Returns:
  User object.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020